| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions

# Tp::PendingReady Class Reference

Class containing the features requested and the reply to a request for an object to become ready. More...

`#include <TelepathyQt4/PendingReady>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingReady (const SharedPtr< const DBusProxyFactory > &factory, const Features &requestedFeatures, const SharedPtr< RefCounted > &proxy, QObject *parent=0)
- PendingReady (const Features &requestedFeatures, QObject *object, QObject *parent=0)
- ~PendingReady ()
- QObject * object () const
- SharedPtr< RefCounted > proxy () const
- Features requestedFeatures () const

## Detailed Description

Class containing the features requested and the reply to a request for an object to become ready.

Instances of this class cannot be constructed directly; the only way to get one is via Object::becomeReady() or a DBusProxyFactory subclass.

## Constructor & Destructor Documentation

Tp::PendingReady::PendingReady | ( | const SharedPtr< const DBusProxyFactory > & | factory,
|  | const Features & | requestedFeatures,
|  | const SharedPtr< RefCounted > & | proxy,
|  | QObject * | parent = `0` |
| ) |  |  |

Construct a PendingReady object, which will wait for arbitrary manipulation on the proxy to finish as appropriate for factory, specified by DBusProxyFactory::initialPrepare() and DBusProxyFactory::readyPrepare().

Todo:
  Actually make it do the prepare ops. Currently they aren't taken into account in any way.

Parameters:

  | factory | The factory the request was made with.
  | requestedFeatures | Features to be made ready on the object.
  | proxy | The proxy in question.
  | parent | QObject parent for the operation. Should not be the same as proxy to avoid circular destruction.

Tp::PendingReady::PendingReady | ( | const Features & | requestedFeatures,
|  | QObject * | object,
|  | QObject * | parent = `0` |
| ) |  |  |

Construct a PendingReady object.

Parameters:

  | requestedFeatures | Features to be made ready on the object.
  | object | The object that will become ready.
  | parent | QObject parent for the operation.

Tp::PendingReady::~PendingReady | ( |  | ) |

Class destructor.

## Member Function Documentation

QObject * Tp::PendingReady::object | ( |  | ) | const

Return the object through which the request was made.

This is only applicable for PendingReady objects from ReadyObject::becomeReady(). For others, `NULL` is returned.

Todo:
  API/ABI break TODO: after shuffling the object hierarchy around, drop this and have just ReadyObjectPtr PendingReady::object() const for all PendingReadys no matter the source

Returns:
  The object through which the request was made.

SharedPtr< RefCounted > Tp::PendingReady::proxy | ( |  | ) | const

Return the proxy constructed by the factory which is being made ready.

This is only applicable for PendingReady objects from a DBusProxyFactory subclass. For others, a `NULL` SharedPtr is returned.

Todo:
  API/ABI break TODO: after shuffling the object hierarchy around, drop this and have just ReadyObjectPtr PendingReady::object() const for all PendingReadys no matter the source

Returns:
  The proxy which is being made ready.

Features Tp::PendingReady::requestedFeatures | ( |  | ) | const

Return the Features that were requested to become ready on the object.

Returns:
  Features The requested features